require at least perl 5.14.0
authorCharles McGarvey <chazmcgarvey@brokenzipper.com>
Mon, 28 Nov 2016 01:03:44 +0000 (18:03 -0700)
committerCharles McGarvey <chazmcgarvey@brokenzipper.com>
Mon, 28 Nov 2016 01:03:44 +0000 (18:03 -0700)
.travis.yml
cpanfile
dist.ini
lib/Dist/Zilla/PluginBundle/Author/CCM.pm
lib/Pod/Weaver/PluginBundle/Author/CCM.pm

index 86a7da9c72d1a03c272b4c04ca3b8ab1d59ff5ff..c0fa429abd27371c6e0389f14cf556b96c0f37d1 100644 (file)
@@ -1,18 +1,13 @@
 sudo: false
 language: perl
 perl:
-   - 'blead'
+   - '5.24'
+   - '5.22'
    - '5.20'
    - '5.18'
    - '5.16'
    - '5.14'
-   - '5.12'
-   - '5.10'
-   - '5.8'
 matrix:
-   allow_failures:
-      - perl: 'blead'
-      - perl: '5.8'
    fast_finish: true
 before_install:
    - git config --global user.name "TravisCI"
index 07d58664701d5699ecfc18a07674051809555175..4f58fc0abf69b42c638f6bd80bec7722a20a0f36 100644 (file)
--- a/cpanfile
+++ b/cpanfile
@@ -47,6 +47,7 @@ requires 'Dist::Zilla::Plugin::Test::CPAN::Changes';
 requires 'Dist::Zilla::Plugin::Test::CleanNamespaces';
 requires 'Dist::Zilla::Plugin::Test::Compile';
 requires 'Dist::Zilla::Plugin::Test::EOL';
+requires 'Dist::Zilla::Plugin::Test::MinimumVersion';
 requires 'Dist::Zilla::Plugin::Test::NoTabs';
 requires 'Dist::Zilla::Plugin::Test::Perl::Critic';
 requires 'Dist::Zilla::Plugin::Test::Pod::No404s';
index 7b6b509f608aac63c2f5cddf8ff62fa27e365f4f..b4845115e6f61ed51fd8e3ca444690cb486c0ede 100644 (file)
--- a/dist.ini
+++ b/dist.ini
@@ -7,4 +7,6 @@ copyright_holder    = Charles McGarvey
 [Bootstrap::lib]
 
 [@Author::CCM]
+Test::MinimumVersion.max_target_perl    = 5.14.0
+TravisYML.perl_version_build            = 5.24 5.22 5.20 5.18 5.16 5.14
 
index a64c1a590303e9a91ce9b9233c496ebe9a7a4726..f8e1d9bbafeb96ecf84716d5c5dffe93abf1fc1a 100644 (file)
@@ -41,6 +41,8 @@ You probably don't want to use this.
     [PodSyntaxTests]
     [Test::Pod::No404s]
     [Test::Compile]
+    [Test::MinimumVersion]
+    max_target_perl     = 5.10.1
     [Test::EOL]
     [Test::NoTabs]
     [Test::Perl::Critic]
@@ -83,6 +85,7 @@ You probably don't want to use this.
     location            = build
     type                = text
     [TravisYML]
+    build_branch        = /^(dist|build\/.*)$/
     [Manifest]
     [ManifestSkip]
 
@@ -115,6 +118,7 @@ You probably don't want to use this.
 
 =cut
 
+use 5.014;
 use warnings;
 use strict;
 
@@ -192,19 +196,22 @@ Required by L<Dist::Zilla::Role::PluginBundle::Easy>.
 sub configure {
     my $self = shift;
 
+    my @copy_from_build     = qw(LICENSE);
+    my @network_plugins     = qw(Git::Push Test::Pod::No404s UploadToCPAN);
+    my @gather_exclude      = (@copy_from_build, qw(README.md));
+    my @gather_prune        = qw(dist.ini);
+    my @no_index            = qw(eg share shares t xt);
+    my @allow_dirty         = (@copy_from_build, qw(.travis.yml Changes LICENSE README.md));
+    my @git_remotes         = qw(github origin);
+    my @check_files         = qw(:InstallModules :ExecFiles :TestFiles :ExtraTestFiles);
+    my $perl_version_target = '5.10.1';
+    my $perl_version        = '5.24 5.22 5.20 5.18 5.16 5.14';
+    my $perl_version_build  = $perl_version . ' 5.12 5.10 -5.8';
+
     if ($self->no_upload) {
-        print '[@Author::CCM] WARNING! WARNING! WARNING! *** You are in no_upload mode!! ***', "\n";
+        say '[@Author::CCM] WARNING! WARNING! WARNING! *** You are in no_upload mode!! ***';
     }
 
-    my @copy_from_build = qw(LICENSE);
-    my @network_plugins = qw(Git::Push Test::Pod::No404s UploadToCPAN);
-    my @gather_exclude  = (@copy_from_build, qw(README.md));
-    my @gather_prune    = qw(dist.ini);
-    my @no_index        = qw(eg share shares t xt);
-    my @allow_dirty     = (@copy_from_build, qw(.travis.yml Changes LICENSE README.md));
-    my @git_remotes     = qw(github origin);
-    my @check_files     = qw(:InstallModules :ExecFiles :TestFiles :ExtraTestFiles);
-
     my @plugins = (
 
         # VERSION
@@ -232,6 +239,7 @@ sub configure {
         ['PodSyntaxTests'],
         ['Test::Pod::No404s'],
         ['Test::Compile'],
+        ['Test::MinimumVersion' => {max_target_perl => $perl_version_target}],
         ['Test::EOL' => {finder => [@check_files]}],
         ['Test::NoTabs' => {finder => [@check_files]}],
         ['Test::Perl::Critic'],
@@ -257,7 +265,7 @@ sub configure {
         ['License'],
         ['ReadmeAnyFromPod' => 'repo readme' => {filename => 'README.md', location => 'root', type => 'markdown', phase => 'release'}],
         ['ReadmeAnyFromPod' => 'dist readme' => {filename => 'README', location => 'build', type => 'text'}],
-        ['TravisYML'],
+        ['TravisYML' => {build_branch => '/^(dist|build\/.*)$/', perl_version => $perl_version, perl_version_build => $perl_version_build}],
         ['Manifest'],
         ['ManifestSkip'],
 
index 0ea881bbf6d7c9c3e1af148ffd4c154cb3171115..9cea5449d8854a201aa775064043d1fb98c90330 100644 (file)
@@ -26,6 +26,7 @@ This module was heavily inspired by Karen Etheridge's config.
 
 =cut
 
+use 5.008;
 use warnings;
 use strict;
 
This page took 0.029697 seconds and 4 git commands to generate.